import request from '@/utils/request'

// 编码规则查询接口(固定编码分类)
export function getCode(data) {
  return request({
    url: 'ecloud-data-basic/web/basCodeRule/queryBasCodeRule',
    method: 'post',
    data
  })
}

// 编码前缀新增保存接口
export function addCode(data) {
  return request({
    url: 'ecloud-data-basic/web/basCodeRule/saveCodeRule',
    method: 'post',
    data
  })
}

// 单个编码分类的前缀信息
export function getPrefix(data) {
  return request({
    url: 'ecloud-data-basic/web/basCodeRule/queryBasCodeRuleDetail',
    method: 'post',
    data
  })
}

// 业务调用编码规则接口返回序列值
export function getQueryBusCode(data) {
  return request({
    url: 'ecloud-data-basic/web/basCodeRule/queryBusCode',
    method: 'post',
    data
  })
}

// 获取根节点下的最大级别数
export function getMaxLv(data) {
  return request({
    url: 'ecloud-data-basic/web/basic/queryMaxLv',
    method: 'post',
    data
  })
}



